package com.jpa.jpaspringboot;

import com.jpa.jpaspringboot.dao.UserDao;
import com.jpa.jpaspringboot.entity.User;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

@SpringBootTest
class JpaSpringBootApplicationTests {

    @Autowired
    private UserDao userDao;

    @Test
    void testFindAll() {
        List<User> list = userDao.findAll();
        for (User user : list){
            System.out.println(user);
        }
    }

}
